/// <reference types="react" />
import { LocationDescriptor } from 'history';
import { FoundationButtonUI } from '@billogram/foundation-button';
export interface FoundationRouteButtonClickHandler {
    (evt: React.MouseEvent<HTMLAnchorElement>): void;
}
export interface FoundationRouteButtonProps {
    children: React.ReactNode;
    disabled?: boolean;
    onClick?: FoundationRouteButtonClickHandler;
    to: LocationDescriptor;
    ui?: FoundationButtonUI;
}
